---

#
# JSON Schema definition for `verify-installation` prepare plugin
#
# https://tmt.readthedocs.io/en/stable/plugins/prepare.html#verify-installation
#

$id: /schemas/prepare/verify-installation
$schema: https://json-schema.org/draft-07/schema

type: object
additionalProperties: false

properties:

  how:
    type: string
    enum:
      - verify-installation

  name:
    type: string

  order:
    $ref: "/schemas/core#/definitions/order"

  summary:
    $ref: "/schemas/core#/definitions/summary"

  verify:
    type: object
    additionalProperties:
      type: string

  where:
    $ref: "/schemas/common#/definitions/where"

  when:
    $ref: "/schemas/common#/definitions/when"

required:
  - how
